// RESTFUl api 匹配带路由参数
import response from "@/lib/res";
import prisma from "@/lib/prisma";

// R -> Read One
export async function GET(request, { params }) {
  const slug = params.slug; 
  try {
    const folder = await prisma.folder.findUnique({
      where: {
        id: parseInt(slug),
      },
    });
    return response(folder);
  } catch (error) {
    return response(error, "err");
  }
}

//U -> Update
export async function PUT(request, { params }) {
  const body = await request.json();
  const slug = params.slug; 
  try {
    const res = await prisma.folder.update({
      where: { id: parseInt(slug) },
      data: { ...body },
    });
    return response({ ...res },"更新成功");
  } catch (error) {
    return response(error, "err");
  }
}

//D -> Delete
export async function DELETE(request, { params }) {
  const slug = params.slug; 
  try {
    const res = await prisma.folder.delete({
      where: { id: parseInt(slug) },
    });
    return response({ ...res },'删除成功');
  } catch (error) {
    return response(error, "err");
  }
}
