"use client";

import { useRouter } from "next/navigation";
import {
  NextUIProvider,
  Tabs,
  Tab,
  Card,
  CardBody,
  Link,
} from "@nextui-org/react";
import { usePathname } from "next/navigation";

export function Providers({ children }) {
  const router = useRouter();
  const pathname = usePathname();

  return (
    <NextUIProvider navigate={router.push}>
      <div className="flex w-full flex-col mb-4">
        <Tabs
          aria-label="Options"
          radius={"full"}
          color="primary"
          selectedKey={pathname?.includes("/detail") ? "/detail" : pathname}
          onSelectionChange={(key) => {
            router.push(key);
          }}
        >
          <Tab key="/" title={"首页"}></Tab>
          <Tab key="/login" title={"login"}></Tab>
          <Tab key="/detail" title={"detail"}></Tab>

        </Tabs>
      </div>
      {/* <Link href="/">首页</Link>
      <Link href="/detail">DOC</Link> */}
      {children}
    </NextUIProvider>
  );
}
