/* eslint-disable import/no-anonymous-default-export */
/* eslint-disable react/display-name */

import React, { memo } from "react";
import { Card, CardBody, CardFooter, Image } from "@nextui-org/react";
import prisma from "@/lib/prisma";
import { getFetch } from "@/lib/doFetch";
import { difftime } from "@/lib/time";
import { useRouter } from "next/navigation";

export default memo(({ list }) => {
  const router = useRouter();

  return (
    <div className="gap-2 grid xl:grid-cols-8 lg:grid-cols-6 md:grid-cols-4 sm:grid-cols-2">
      {list?.map?.((item, index) => (
        <Card
          shadow="sm"
          key={index}
          isPressable
          onPress={() => {
            router.push("/detail/" + item.id);
          }}
        >
          <CardBody className="overflow-visible p-0">
            <Image
              isZoomed
              shadow="sm"
              radius="lg"
              width="100%"
              alt={item.name}
              className="w-full object-cover h-[140px]"
              src={item.poster}
            />
          </CardBody>
          <CardFooter className="text-small justify-between">
            <b>{item.name}</b>
            <p className="text-default-500">{difftime(item.createdAt)}</p>
          </CardFooter>
        </Card>
      ))}
      {list?.length === 0 && (
          <Image
            alt="empty"
            isZoomed
            className="object-cover"
            src="/empty.png"
            width={240}
          />
      )}
    </div>
  );
});
